The old VirtueMart 1 documenation for history reasons

  • Installation (4)

    Server Requirements

    VirtueMart has the following System Requirements:

    You must ensure that you have MySQL-, XML- and Zlib-Support built into your PHP. PHP should be compiled with support for https (openSSL) and cURL!

    PHP Safe Mode should be turned off.
    {typography icon type="alert" boxstyle="float: none; margin: 5px;"}The MySQL user, you access the database with in production use, must have the rights to create temporary tables.{/typography}

     

    Client Requirements

    VirtueMart can be used with most major browsers including: Internet Explorer (version 5.5+), Firefox, Opera 9+, Safari and Konqueror. Javascript doesn't need to be enabled in the frontend (when shopping and checking out). The administration section requires Javascript to be enabled.

    The client/browser needs to be capable of accepting Cookies and Cookies must be enabled.

  • User Guide (17)
  • Screencast (4)